// first retrieve the canvas element
var canvasElement = document.querySelector('#colorpicker canvas');
// Then get the 2D context of the Canvas
var canvasImage = canvasElement.getContext('2d');

// Now create an image element
var image = new Image();
image.src = 'palette.png';

// Just after the browser has finished to load the image we can add it in the canvas
image.addEventListener('load', function () {
    canvasImage.drawImage(image, 0, 0);
    // Handle the click on the palette
    canvasElement.addEventListener('click', function (event) {
        // Get the position of the mouse in the Canvas
        var x = event.pageX - this.offsetLeft;
        var y = event.pageY - this.offsetTop;
        // Get the Image Data
        var imageData = canvasImage.getImageData(x, y, 1, 1).data;
        // Convert into readable variable
        var Red = imageData[0];
        var Green = imageData[1];
        var Blue = imageData[2];
        var rgb = Red + ',' + Green + ',' + Blue;
        // Display the result in the console
        console.log(rgb);
    });
});